--- a/configure.ac
+++ b/configure.ac
@@ -143,28 +143,10 @@
    htmldir="${docdir}/html"
 fi
 
-# Manage standard options --libdir and --datadir
-# If the user doesn't specify these option, we fix
-#   libdir to ${prefix}/lib/
-#   datadir to ${prefix}/share
-# Otherwise, we take the user provided values.
-#
-# In any case, we will place our files in the stklos/${VERSION} subdir
-
-if test "$LIBDIR" == ""  ; then
-   # user has not given a "--libdir" option. Use ${prefix}/lib/stklos/${VERSION}
-   libdir="${prefix}/lib/${PACKAGE_TARNAME}/${VERSION}"
-fi
-
-if test "$DATADIR" == ""  ; then
-   # user has not given a "--datadir" option. Use ${prefix}/share/stklos/${VERSION}
-   datadir="${prefix}/share/${PACKAGE_TARNAME}/${VERSION}"
-fi
-
 ### Initialize the extra conf file in src
 PREFIX=$prefix
-SCMDIR=$datadir
-EXECDIR=$libdir
+SCMDIR="${datadir}/${PACKAGE_TARNAME}/${VERSION}"
+EXECDIR="${libdir}/${PACKAGE_TARNAME}/${VERSION}"
 
 
 ### Determine the kind of the machine which is running this script
--- a/lib/Lalr.d/Makefile.am
+++ b/lib/Lalr.d/Makefile.am
@@ -33,8 +33,8 @@
 all: lalr.ostk calc
 
 install-sources: install
-	mkdir -p $(schemedir)
-	cp lalr.stk $(DESTDIR)/$(schemedir)
+	mkdir -p $(DESTDIR)$(schemedir)
+	cp lalr.stk $(DESTDIR)$(schemedir)
 
 uninstall-hook:
 	rm  -f $(DESTDIR)/$(schemedir)/lalr.stk
--- a/lib/Makefile.am
+++ b/lib/Makefile.am
@@ -174,7 +174,7 @@
 	@for i in $(SUBDIRS) ;do \
 	   (cd $$i; $(MAKE) install-sources)\
 	done
-	cp $(SRC_STK) $(scheme_BOOT) $(DESTDIR)/$(schemedir)
+	cp $(SRC_STK) $(scheme_BOOT) $(DESTDIR)$(schemedir)
 
 
 # Explicit some dependencies here
--- a/lib/SILex.d/Makefile.am
+++ b/lib/SILex.d/Makefile.am
@@ -25,8 +25,8 @@
 SRC= silex.scm multilex.scm
 
 install-sources:
-	mkdir -p  $(DESTDIR)/$(schemedir)
-	cp $(SRC) $(DESTDIR)/$(schemedir)
+	mkdir -p  $(DESTDIR)$(schemedir)
+	cp $(SRC) $(DESTDIR)$(schemedir)
 
 
 uninstall-hook:
--- a/lib/scheme/Makefile.am
+++ b/lib/scheme/Makefile.am
@@ -189,7 +189,7 @@
 	@for i in $(SUBDIRS) ;do \
 	   (cd $$i; $(MAKE) install-sources)\
 	done
-	cp $(scheme_sources) $(schemedir)
+	cp $(scheme_sources) $(DESTDIR)$(schemedir)
 
 clean:
 	(cd vector; $(MAKE) clean)
--- a/lib/scheme/vector/Makefile.am
+++ b/lib/scheme/vector/Makefile.am
@@ -130,8 +130,8 @@
 #======================================================================
 
 install-sources:
-	mkdir -p $(srfidir)
-	cp $(srfi_sources) $(srfi_interm) $(srfidir)
+	mkdir -p $(DESTDIR)$(srfidir)
+	cp $(srfi_sources) $(srfi_interm) $(DESTDIR)$(srfidir)
 
 # we also clean the TAG.stk files -- $(srfi-interm) --, which are NOT
 # srfi_OBJS (should not be installed with other objects):
--- a/lib/srfi/160/Makefile.am
+++ b/lib/srfi/160/Makefile.am
@@ -140,8 +140,8 @@
 #======================================================================
 
 install-sources:
-	mkdir -p $(srfidir)
-	cp $(srfi_sources) $(srfidir)
+	mkdir -p $(DESTDIR)$(srfidir)
+	cp $(srfi_sources) $(DESTDIR)$(srfidir)
 
 clean:
 	rm -f $(srfi_OBJS) *-incl.c *~
--- a/lib/srfi/Makefile.am
+++ b/lib/srfi/Makefile.am
@@ -383,7 +383,7 @@
 	@for i in $(SUBDIRS) ;do \
 	   (cd $$i; $(MAKE) install-sources)\
 	done
-	cp $(srfi_sources) $(srfidir)
+	cp $(srfi_sources) $(DESTDIR)$(srfidir)
 
 clean:
 	rm -f $(srfi_OBJS) *-incl.c *~
--- a/lib/stklos/Makefile.am
+++ b/lib/stklos/Makefile.am
@@ -75,7 +75,7 @@
 
 # ======================================================================
 install-sources:
-	cp $(scheme_sources) $(schemedir)
+	cp $(scheme_sources) $(DESTDIR)$(schemedir)
 
 clean:
 	rm -f $(ALL_OBJS) *-incl.c  *~
--- a/lib/streams/Makefile.am
+++ b/lib/streams/Makefile.am
@@ -75,7 +75,7 @@
 
 # ======================================================================
 install-sources:
-	install $(scheme_sources) $(schemedir)
+	install $(scheme_sources) $(DESTDIR)$(schemedir)
 
 clean:
 	rm -f $(ALL_OBJS) *-incl.c  *~
--- a/src/Makefile.am
+++ b/src/Makefile.am
@@ -110,8 +110,8 @@
 
 
 install-exec-hook:
-	mv $(bindir)/stklos $(bindir)/stklos-@VERSION@
-	ln -s stklos-@VERSION@ $(bindir)/stklos
+	mv $(DESTDIR)$(bindir)/stklos $(DESTDIR)$(bindir)/stklos-@VERSION@
+	ln -s stklos-@VERSION@ $(DESTDIR)$(bindir)/stklos
 
 
 doc:  $(DOCDB)
